Package com.databricks.jdbc.api.impl.converters

## Class GeospatialConverter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.GeospatialConverter

All Implemented Interfaces:
  `ObjectConverter`

    public class GeospatialConverter
    extends Object
    implements ObjectConverter

### Field Summary

### Fields inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`DEFAULT_TIMESTAMP_SCALE, POWERS_OF_TEN`

### Constructor Summary

Constructors
`GeospatialConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `toByteArray​(Object object)`
`DatabricksGeography` `toDatabricksGeography​(Object object)`
`DatabricksGeometry` `toDatabricksGeometry​(Object object)`
`String` `toString​(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`toAsciiStream, toBigDecimal, toBigDecimal, toBigInteger, toBinaryStream, toBoolean, toByte, toChar, toCharacterStream, toDatabricksArray, toDatabricksMap, toDatabricksStruct, toDate, toDouble, toFloat, toInt, toLocalDate, toLong, toShort, toTime, toTimestamp, toTimestamp, toUnicodeStream`

### Constructor Detail

#### GeospatialConverter

    public GeospatialConverter()

### Method Detail

#### toDatabricksGeometry

    public DatabricksGeometry toDatabricksGeometry​(Object object)
                                            throws DatabricksSQLException

Specified by:
  `toDatabricksGeometry` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toDatabricksGeography

    public DatabricksGeography toDatabricksGeography​(Object object)
                                              throws DatabricksSQLException

Specified by:
  `toDatabricksGeography` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toString

    public String toString​(Object object)
                    throws DatabricksSQLException

Specified by:
  `toString` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

#### toByteArray

    public byte[] toByteArray​(Object object)
                       throws DatabricksSQLException

Specified by:
  `toByteArray` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`